# REST API

- [Introduction](https://developers.neowit.io/rest-api/introduction.md): A quick introduction to our REST APIs and how to get started using it.
- [Authentication](https://developers.neowit.io/rest-api/authentication.md): An overview of the two supported methods of authenticating to our REST APIs.
- [OAuth2](https://developers.neowit.io/rest-api/authentication/oauth2.md): A guide on how to implement an OAuth2 flow for authenticating to our REST APIs.
- [Basic Auth](https://developers.neowit.io/rest-api/authentication/basic-auth.md): A guide on how to use Basic Auth for authenticating to our REST APIs.
- [Error codes](https://developers.neowit.io/rest-api/error-codes.md): Summary of common error codes returned by our REST API.
- [API reference](https://developers.neowit.io/rest-api/api-reference.md): API reference overview
- [Coordinate systems](https://developers.neowit.io/rest-api/coordinate-systems.md): An introduction to the coordinate system used for placement of spaces and devices.
- [Query Language](https://developers.neowit.io/rest-api/query-language.md)
- [Query Language Reference](https://developers.neowit.io/rest-api/query-language/query-language-reference.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.neowit.io/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
